<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
</head>

<body>


    <script>
        for (let index = 0; index < 10; index++) {

            // console.log(index);
            for (let d = 0; d < index; d++) {

                document.write(index)
            }
            document.write("<br>")
        }

        for (let index = 0; index < 10; index++) {
            for (let k = 0; k < 10; k++) {

                document.write(index);
            }
            // console.log(index111);
            document.write('<br>');

        }
        for (let index = 0; index < 10; index++) {
            for (let k = 0; k < 10; k++) {

                document.write('*');
            }
            // console.log(index111);
            document.write('<br>');

        }
        for (let index = 0; index < 10; index++) {
            for (let k = 0; k < index; k++) {

                document.write('*');
            }
            // console.log(index111);
            document.write('<br>');

        }
        for (let index = 0; index < 10; index++) {
            for (let k = 0; k < index; k++) {

                document.write(index + '');
            }
            // console.log(index111);
            document.write('<br>');

        }

        for (let index = 0; index < 10; index++) {
            // console.log(index);
            for (let k = 0; k < 10; k++) {
                document.write(' * ');


            }
            document.write('<br>')
        }


    </script>

</body>

</html>